version: '2'

services:
  # database:
  #   container_name: servidor_mysql
  #   image: mariadb:10.6.4
  #   restart: "no"
  #   environment:
  #     MYSQL_DATABASE: ${DB_DATABASE}
  #     MYSQL_ROOT_PASSWORD: ${DB_PASSWORD}
  #     MYSQL_PASSWORD: ${DB_PASSWORD}
  #     MYSQL_USER: ${DB_USERNAME}
  #   volumes:
  #     - ./mysql:/var/lib/mysql
  #
  # backend:
  #   container_name: notiexpress_backend
  #   build:
  #     args:
  #       uid: 1000
  #       user: ubuntu
  #     context: ../../notiexpress-api
  #     dockerfile: ./build/Dockerfile
  #   restart: "no"
  #   depends_on:
  #     - database
  #   ports:
  #     - 80:80
  #   volumes:
  #     - ../:/var/www/notiexpress-api
  #     - ./apache/default.conf:/etc/apache2/sites-enabled/000-default.conf

 frontend:
   container_name: notiexpress_frontend
   build:
     args:
       uid: 1000
       user: ubuntu
     context: ../
     dockerfile: ./builder/Dockerfile
   restart: "no"
   # depends_on:
   #   - backend
   ports:
     - 80:80
   volumes:
     - ./apache/default.conf:/usr/local/apache2/conf/httpd.conf
